Import of pkgsrc-2013Q2

This commit is contained in:
2013-09-26 17:14:40 +02:00
commit 785076ae39
74991 changed files with 4380255 additions and 0 deletions
+12
View File
@@ -0,0 +1,12 @@
# $NetBSD: DEINSTALL,v 1.2 2009/06/09 21:29:17 minskim Exp $
case "${STAGE}" in
DEINSTALL)
${RM} -f \
@PKG_SYSCONFDIR@/ls-R \
@VARBASE@/lib/texmf/ls-R \
@TEXMFLOCAL@/ls-R \
@PREFIX@/share/texmf-dist/ls-R \
@PREFIX@/share/texmf/ls-R
;;
esac
+5
View File
@@ -0,0 +1,5 @@
Kpathsea is a library to do path searching. It is used in the Web2C
implementation of TeX and friends. The library's fundamental purpose
is to return a filename from a list of directories specified by the
user, similar to what shells do when looking up program names to
execute.
+12
View File
@@ -0,0 +1,12 @@
# $NetBSD: INSTALL,v 1.2 2009/06/09 21:29:17 minskim Exp $
case "${STAGE}" in
POST-INSTALL)
@PREFIX@/bin/mktexlsr \
@PREFIX@/share/texmf \
@PREFIX@/share/texmf-dist \
@TEXMFLOCAL@ \
@VARBASE@/lib/texmf \
@PKG_SYSCONFDIR@
;;
esac
+72
View File
@@ -0,0 +1,72 @@
# $NetBSD: Makefile,v 1.18 2013/02/05 07:54:51 wiz Exp $
DISTNAME= texlive-20120701-source
PKGNAME= kpathsea-6.1.0
PKGREVISION= 1
CATEGORIES= print
MASTER_SITES= ftp://tug.org/historic/systems/texlive/2012/
EXTRACT_SUFX= .tar.xz
MAINTAINER= minskim@NetBSD.org
HOMEPAGE= http://www.tug.org/kpathsea/
COMMENT= Path searching library for TeX-related files
LICENSE= gnu-lgpl-v2.1
CONFLICTS+= teTeX-bin<=3.0nb46
CONFLICTS+= teTeX-texmf<=3.0nb5
CONFLICTS+= texlive-tetex<2010
EXTRACT_ELEMENTS= ${DISTNAME}/build-aux \
${DISTNAME}/texk/kpathsea
GNU_CONFIGURE= yes
INFO_FILES= yes
USE_LIBTOOL= yes
USE_TOOLS+= gmake
WRKSRC= ${WRKDIR}/${DISTNAME}/texk/kpathsea
MAKE_FLAGS+= LIBTOOL=${LIBTOOL:Q}
#
# A double-slash (//) in the kpathsea paths has a special
# interpretation, it will cause kpathsea to consider all
# subdirectories recursively at that point in the path. Normally
# double-slashes and trailing slashes will not be present in these
# variables, but if they are there the resulting behaviour is so
# unexpected, expensive, and difficult to diagnose that it is worth
# going to extra effort to clean them out here.
#
SUBST_CLASSES+= texmfdir
SUBST_MESSAGE.texmfdir= Setting texmf directories.
SUBST_STAGE.texmfdir= pre-configure
SUBST_FILES.texmfdir= texmf.cnf
SUBST_SED.texmfdir= -e 's,@PREFIX@,${PREFIX:C;///*;/;g:C;/$;;},'
SUBST_SED.texmfdir+= -e 's,@TEXMFLOCAL@,${TEXMFLOCAL:C;///*;/;g:C;/$;;},'
SUBST_SED.texmfdir+= -e 's,@VARBASE@,${VARBASE:C;///*;/;g:C;/$;;},'
SUBST_SED.texmfdir+= -e 's,@PKG_SYSCONFDIR@,${PKG_SYSCONFDIR:C;///*;/;g:C;/$;;},'
SUBST_CLASSES+= paths
SUBST_MESSAGE.paths= Setting paths to commands.
SUBST_STAGE.paths= pre-configure
SUBST_FILES.paths= mktex.opt mktexdir mktexlsr mktexmf \
mktexnam mktexnam.opt mktexpk mktextfm mktexupd
SUBST_SED.paths= -e 's,@KPSEWHICH@,${PREFIX}/bin/kpsewhich,g'
SUBST_SED.paths+= -e 's,@MKTEXMF@,${PREFIX}/bin/mktexmf,g'
PKG_SYSCONFSUBDIR= texmf
BUILD_DEFS+= VARBASE
TEXMFLOCAL= ${PREFIX}/share/texmf-local
FILES_SUBST+= TEXMFLOCAL=${TEXMFLOCAL}
CONF_FILES= ${PREFIX}/share/texmf/web2c/texmf.cnf \
${PKG_SYSCONFDIR}/texmf.cnf
OWN_DIRS+= ${TEXMFLOCAL} ${VARBASE}/lib/texmf
.for d in pk source tfm
OWN_DIRS_PERMS+= ${VARBASE}/lib/texmf/fonts/${d} \
${REAL_ROOT_USER} ${REAL_ROOT_GROUP} 1777
.endfor
INSTALLATION_DIRS+= share/texmf-dist
.include "../../mk/bsd.pkg.mk"
+74
View File
@@ -0,0 +1,74 @@
@comment $NetBSD: PLIST,v 1.7 2012/07/10 22:32:13 minskim Exp $
bin/kpseaccess
bin/kpsereadlink
bin/kpsestat
bin/kpsewhich
bin/mktexlsr
bin/mktexmf
bin/mktexpk
bin/mktextfm
bin/texhash
include/kpathsea/absolute.h
include/kpathsea/c-auto.h
include/kpathsea/c-ctype.h
include/kpathsea/c-dir.h
include/kpathsea/c-errno.h
include/kpathsea/c-fopen.h
include/kpathsea/c-limits.h
include/kpathsea/c-memstr.h
include/kpathsea/c-minmax.h
include/kpathsea/c-namemx.h
include/kpathsea/c-pathch.h
include/kpathsea/c-pathmx.h
include/kpathsea/c-proto.h
include/kpathsea/c-stat.h
include/kpathsea/c-std.h
include/kpathsea/c-unistd.h
include/kpathsea/cnf.h
include/kpathsea/concatn.h
include/kpathsea/config.h
include/kpathsea/debug.h
include/kpathsea/expand.h
include/kpathsea/getopt.h
include/kpathsea/hash.h
include/kpathsea/knj.h
include/kpathsea/kpathsea.h
include/kpathsea/lib.h
include/kpathsea/line.h
include/kpathsea/magstep.h
include/kpathsea/mingw32.h
include/kpathsea/paths.h
include/kpathsea/pathsearch.h
include/kpathsea/proginit.h
include/kpathsea/progname.h
include/kpathsea/readable.h
include/kpathsea/str-list.h
include/kpathsea/str-llist.h
include/kpathsea/systypes.h
include/kpathsea/tex-file.h
include/kpathsea/tex-glyph.h
include/kpathsea/tex-hush.h
include/kpathsea/tex-make.h
include/kpathsea/types.h
include/kpathsea/variable.h
include/kpathsea/version.h
include/kpathsea/win32lib.h
info/kpathsea.info
lib/libkpathsea.la
man/man1/kpseaccess.1
man/man1/kpsereadlink.1
man/man1/kpsestat.1
man/man1/kpsewhich.1
man/man1/mktexlsr.1
man/man1/mktexmf.1
man/man1/mktexpk.1
man/man1/mktextfm.1
man/man1/texhash.1
share/texmf/web2c/mktex.opt
share/texmf/web2c/mktexdir
share/texmf/web2c/mktexdir.opt
share/texmf/web2c/mktexnam
share/texmf/web2c/mktexnam.opt
share/texmf/web2c/mktexupd
share/texmf/web2c/texmf.cnf
@pkgdir share/texmf-dist
+13
View File
@@ -0,0 +1,13 @@
# $NetBSD: buildlink3.mk,v 1.4 2010/09/13 04:06:12 minskim Exp $
BUILDLINK_TREE+= kpathsea
.if !defined(KPATHSEA_BUILDLINK3_MK)
KPATHSEA_BUILDLINK3_MK:=
BUILDLINK_API_DEPENDS.kpathsea+= kpathsea>=6.0.0
BUILDLINK_PKGSRCDIR.kpathsea?= ../../print/kpathsea
BUILDLINK_FILES.kpathsea+= bin/kpsewhich
.endif # KPATHSEA_BUILDLINK3_MK
BUILDLINK_TREE+= -kpathsea
+16
View File
@@ -0,0 +1,16 @@
$NetBSD: distinfo,v 1.13 2013/02/05 07:54:52 wiz Exp $
SHA1 (texlive-20120701-source.tar.xz) = e41ef31eba27891f3434e01638d3559cc6958016
RMD160 (texlive-20120701-source.tar.xz) = df09b657919a3f203309645028803098f52bbac9
Size (texlive-20120701-source.tar.xz) = 131904044 bytes
SHA1 (patch-aa) = ee5efc02bb67648177fdaeb1d4b9999ea908e01b
SHA1 (patch-ac) = cf7a574f78f13b4ff662e97da4b6a4bcfcd002b0
SHA1 (patch-ad) = b9ff0a7d906c8ed613b84de9f200629d37e8ef40
SHA1 (patch-ae) = b85fd269d86bbc878bc4622f1cdbbdebb5c320bf
SHA1 (patch-af) = 390783ba6ad88208df1b7be0bf9e52e2ceb81c13
SHA1 (patch-ag) = 0590a33b0f557d9f6fbf13fdf59469c9345445fe
SHA1 (patch-ah) = 15a0026ed21d732504d50af9597e53197aca038e
SHA1 (patch-ai) = ceef76e53a9146161be23bb22287b4f768d3cb3c
SHA1 (patch-aj) = 97235f77188a1923d87d6992defb4c0cc2e050f4
SHA1 (patch-ak) = 2cee0c54ee5d2f02c08a6d19d8bfb7aa6316b69c
SHA1 (patch-xputenv.c) = 75edfd8abdf2f0373a084095cfdd37865e628590
@@ -0,0 +1,22 @@
# $NetBSD: config-deinstall.tmpl,v 1.1 2009/01/11 09:11:07 minskim Exp $
#
# Remove config fragments from texmf.cnf.
#
TEXMF_CNF=${PKG_SYSCONFBASE}/texmf/texmf.cnf
case ${STAGE} in
DEINSTALL)
config_names="@CONFIG_NAMES@"
for c in $config_names; do
${AWK} "\
BEGIN { do_print=1; } \
/^%%% BEGIN $c\$/ { do_print=0; } \
{ if (do_print) print \$0; } \
/^%%% END $c\$/ { do_print=1; }" ${TEXMF_CNF} > ${TEXMF_CNF}.tmp &&
${MV} ${TEXMF_CNF}.tmp ${TEXMF_CNF}
done
;;
*)
;;
esac
+19
View File
@@ -0,0 +1,19 @@
# $NetBSD: config-install.tmpl,v 1.1 2009/01/11 09:11:07 minskim Exp $
#
# Add config fragments to texmf.cnf
#
TEXMF_CNF=${PKG_SYSCONFBASE}/texmf/texmf.cnf
case ${STAGE} in
POST-INSTALL)
config_names="@CONFIG_NAMES@"
for c in $config_names; do
${ECHO} "%%% BEGIN $c" >> ${TEXMF_CNF}
${CAT} @PREFIX@/share/texmf/web2c/texmf.$c.cnf >> ${TEXMF_CNF}
${ECHO} "%%% END $c" >> ${TEXMF_CNF}
done
;;
*)
;;
esac
+12
View File
@@ -0,0 +1,12 @@
# $NetBSD: texmf-deinstall.tmpl,v 1.2 2009/06/14 18:22:06 minskim Exp $
#
# Rebuild ls-R databases.
#
case ${STAGE} in
POST-DEINSTALL)
@MKTEXLSR@ @TEXMF_DIRS@
;;
*)
;;
esac
+12
View File
@@ -0,0 +1,12 @@
# $NetBSD: texmf-install.tmpl,v 1.1.1.1 2009/01/03 22:12:42 minskim Exp $
#
# Rebuild ls-R databases.
#
case ${STAGE} in
POST-INSTALL)
@MKTEXLSR@ @TEXMF_DIRS@
;;
*)
;;
esac
+61
View File
@@ -0,0 +1,61 @@
$NetBSD: patch-aa,v 1.10 2012/07/10 22:32:13 minskim Exp $
Set paths to texmf trees for pkgsrc.
--- texmf.cnf.orig 2012-05-12 23:34:52.000000000 +0000
+++ texmf.cnf
@@ -51,7 +51,7 @@
% Redistributors will probably want $SELFAUTODIR/share, i.e., /usr/share.
% Kpathsea sets SELFAUTOLOC (the directory with the binary),
% SELFAUTODIR (its parent), and SELFAUTOPARENT (its grandparent).
-TEXMFROOT = $SELFAUTOPARENT
+TEXMFROOT = $SELFAUTODIR/share
% The tree containing runtime files related to the specific
% distribution and version.
@@ -61,13 +61,13 @@ TEXMFMAIN = $TEXMFROOT/texmf
TEXMFDIST = $TEXMFROOT/texmf-dist
% Local additions to the distribution trees.
-TEXMFLOCAL = $TEXMFROOT/../texmf-local
+TEXMFLOCAL = @TEXMFLOCAL@
% TEXMFSYSVAR, where *-sys store cached runtime data.
-TEXMFSYSVAR = $TEXMFROOT/texmf-var
+TEXMFSYSVAR = @VARBASE@/lib/texmf
% TEXMFSYSCONFIG, where *-sys store configuration data.
-TEXMFSYSCONFIG = $TEXMFROOT/texmf-config
+TEXMFSYSCONFIG = @PKG_SYSCONFDIR@
% Per-user texmf tree(s) -- organized per the TDS, as usual. To define
% more than one per-user tree, set this to a list of directories in
@@ -113,7 +113,7 @@ SYSTEXMF = $TEXMFSYSVAR;$TEXMFMAIN;$TEXM
% Where generated fonts may be written. This tree is used when the sources
% were found in a system tree and either that tree wasn't writable, or the
% varfonts feature was enabled in MT_FEATURES in mktex.cnf.
-VARTEXFONTS = $TEXMFVAR/fonts
+VARTEXFONTS = $TEXMFSYSVAR/fonts
% On some systems, there will be a system tree which contains all the font
% files that may be created as well as the formats. For example
@@ -481,18 +481,7 @@ RUBYINPUTS = .;$TEXMF/scripts/{$progna
% explicitly list every directory. Arguably more understandable this
% way anyway.
%
-TEXMFCNF = {\
-$SELFAUTOLOC,\
-$SELFAUTOLOC/share/texmf-local/web2c,$SELFAUTOLOC/share/texmf/web2c,\
-$SELFAUTOLOC/texmf-local/web2c,$SELFAUTOLOC/texmf/web2c,\
-$SELFAUTODIR,\
-$SELFAUTODIR/share/texmf-local/web2c,$SELFAUTODIR/share/texmf/web2c,\
-$SELFAUTODIR/texmf-local/web2c,$SELFAUTODIR/texmf/web2c,\
-$SELFAUTOPARENT/../texmf-local/web2c,\
-$SELFAUTOPARENT,\
-$SELFAUTOPARENT/share/texmf-local/web2c,$SELFAUTOPARENT/share/texmf/web2c,\
-$SELFAUTOPARENT/texmf-local/web2c,$SELFAUTOPARENT/texmf/web2c\
-}
+TEXMFCNF = @PKG_SYSCONFDIR@
%
% For reference, here is the old brace-using definition:
%TEXMFCNF = {$SELFAUTOLOC,$SELFAUTODIR,$SELFAUTOPARENT}{,{/share,}/texmf{-local,}/web2c}
+24
View File
@@ -0,0 +1,24 @@
$NetBSD: patch-ac,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktexupd.orig 2009-06-03 06:07:18.000000000 -0700
+++ mktexupd
@@ -10,8 +10,8 @@ mt_min_args=2
mt_max_args=2
# Common code for all scripts.
-: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
-: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+: ${MT_TEXMFMAIN=`@KPSEWHICH@ --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`@KPSEWHICH@ --format='web2c files' mktex.opt`}
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
if test ! -f "$MT_MKTEX_OPT"; then
echo "$0: Cannot find mktex.opt; check your installation." >&2
@@ -25,7 +25,7 @@ file=$2
test -d "$dir" || { echo "$0: $dir not a directory." >&2; exit 1; }
test -f "$dir/$file" || { echo "$0: $dir/$file not a file." >&2; exit 1; }
-OIFS=$IFS; IFS=$SEP; set x `kpsewhich -show-path=ls-R`; shift; IFS=$OIFS
+OIFS=$IFS; IFS=$SEP; set x `@KPSEWHICH@ -show-path=ls-R`; shift; IFS=$OIFS
TEXMFLS_R=
for d in "$@"; do
case $dir in
+51
View File
@@ -0,0 +1,51 @@
$NetBSD: patch-ad,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktex.opt.orig 2009-06-03 06:07:19.000000000 -0700
+++ mktex.opt
@@ -9,7 +9,7 @@ if test "x$1" = x--help || test "x$1" =
exit 0
elif test "x$1" = x--version || test "x$1" = x-version; then
echo "`basename $0` $version"
- kpsewhich --version
+ @KPSEWHICH@ --version
exit 0
elif test $# -lt ${mt_min_args-1}; then
echo "$0: Missing argument(s)." >&2
@@ -63,22 +63,22 @@ cd "$TEMPDIR" || exit 1
# The alternative location for fonts. The directory need not exist,
# so we use --expand-var here. We also perform a sanity check.
-: ${MT_VARTEXFONTS=`kpsewhich --expand-var='$VARTEXFONTS' | sed 's%^!!%%'`}
+: ${MT_VARTEXFONTS=`@KPSEWHICH@ --expand-var='$VARTEXFONTS' | sed 's%^!!%%'`}
if test -z "$MT_VARTEXFONTS"; then
echo "$0: VARTEXFONTS is not defined. Defaulting to \`$KPSE_DOT'." >&2
MT_VARTEXFONTS='$KPSE_DOT'
fi
# The supporting scripts:
-: ${MT_MKTEXNAM=`kpsewhich --format='web2c files' mktexnam`}
+: ${MT_MKTEXNAM=`@KPSEWHICH@ --format='web2c files' mktexnam`}
test -n "$MT_MKTEXNAM" || MT_MKTEXNAM="$MT_TEXMFMAIN/web2c/mktexnam"
-: ${MT_MKTEXNAM_OPT=`kpsewhich --format='web2c files' mktexnam.opt`}
+: ${MT_MKTEXNAM_OPT=`@KPSEWHICH@ --format='web2c files' mktexnam.opt`}
test -n "$MT_MKTEXNAM_OPT" || MT_MKTEXNAM_OPT="$MT_TEXMFMAIN/web2c/mktexnam.opt"
-: ${MT_MKTEXDIR=`kpsewhich --format='web2c files' mktexdir`}
+: ${MT_MKTEXDIR=`@KPSEWHICH@ --format='web2c files' mktexdir`}
test -n "$MT_MKTEXDIR" || MT_MKTEXDIR="$MT_TEXMFMAIN/web2c/mktexdir"
-: ${MT_MKTEXDIR_OPT=`kpsewhich --format='web2c files' mktexdir.opt`}
+: ${MT_MKTEXDIR_OPT=`@KPSEWHICH@ --format='web2c files' mktexdir.opt`}
test -n "$MT_MKTEXDIR_OPT" || MT_MKTEXDIR_OPT="$MT_TEXMFMAIN/web2c/mktexdir.opt"
-: ${MT_MKTEXUPD=`kpsewhich --format='web2c files' mktexupd`}
+: ${MT_MKTEXUPD=`@KPSEWHICH@ --format='web2c files' mktexupd`}
test -n "$MT_MKTEXUPD" || MT_MKTEXUPD="$MT_TEXMFMAIN/web2c/mktexupd"
# mktexupd and mktexlsr make sure they're coordinated via this. A copy of
@@ -92,7 +92,7 @@ old_ls_R_magic='% ls-R -- maintained by
# given here (e.g. ``: ${MODE=ljfour}'', not just ``MODE=ljfour'', as
# this can cause trouble (e.g. when the mode for mktexnam is
# already specified on the command line).
-: ${MT_MKTEX_CNF=`kpsewhich --format='web2c files' mktex.cnf`}
+: ${MT_MKTEX_CNF=`@KPSEWHICH@ --format='web2c files' mktex.cnf`}
test -n "$MT_MKTEX_CNF" && test -r "$MT_MKTEX_CNF" && . "$MT_MKTEX_CNF"
# Possible features: appendonlydir dosnames fontmaps nomfdrivers nomode
+71
View File
@@ -0,0 +1,71 @@
$NetBSD: patch-ae,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktexnam.orig 2009-06-03 06:07:23.000000000 -0700
+++ mktexnam
@@ -9,8 +9,8 @@ usage="Usage: $0 NAME [DPI MODE] [DESTDI
mt_max_args=4
# Common code for all scripts.
-: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
-: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+: ${MT_TEXMFMAIN=`@KPSEWHICH@ --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`@KPSEWHICH@ --format='web2c files' mktex.opt`}
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
if test ! -f "$MT_MKTEX_OPT"; then
echo "$0: Cannot find mktex.opt; check your installation." >&2
@@ -41,23 +41,23 @@ esac
: ${MT_DEFAULT_DESTROOT=$KPSE_DOT}
# Find the font: test tfm first, then mf, then possible sauterized mf.
-fullname=`kpsewhich "$NAME.tfm" 2>/dev/null`
-test -z "$fullname" && fullname=`kpsewhich "$NAME.mf" 2>/dev/null`
+fullname=`@KPSEWHICH@ "$NAME.tfm" 2>/dev/null`
+test -z "$fullname" && fullname=`@KPSEWHICH@ "$NAME.mf" 2>/dev/null`
if test -z "$fullname"; then
rootname=`echo $NAME | sed 's/[0-9]*$//'`
- fullname=`kpsewhich "b-$rootname.mf" 2>/dev/null`
+ fullname=`@KPSEWHICH@ "b-$rootname.mf" 2>/dev/null`
# LH fonts get special treatment:
if test -z "$fullname"; then
case $rootname in
# Czech/Slovak fonts get special treatment:
cs*|lcsss*|icscsc*|icstt*|ilcsss*)
- fullname=`kpsewhich cscode.mf`
+ fullname=`@KPSEWHICH@ cscode.mf`
;;
# LH fonts get special treatment:
wn[bcdfirstuv]*|rx[bcdfiorstuvx][bcfhilmostx]|l[abcdhl][bcdfiorstuvx]*)
lhprefix=`echo $NAME | sed 's/^\(..\).*/\1/'`
- fullname=`kpsewhich "${lhprefix}codes.mf" 2>/dev/null`;;
- *) fullname=`kpsewhich "$rootname.mf" 2>/dev/null`
+ fullname=`@KPSEWHICH@ "${lhprefix}codes.mf" 2>/dev/null`;;
+ *) fullname=`@KPSEWHICH@ "$rootname.mf" 2>/dev/null`
;;
esac
fi
@@ -71,7 +71,7 @@ else
fullname=`echo "$fullname" | sed 's%//*%/%g'`
# See if $fullname comes from a standard location.
OIFS=$IFS;IFS=$SEP
- set x `kpsewhich --expand-path='$TEXMF/fonts'"$SEP$MT_VARTEXFONTS"`
+ set x `@KPSEWHICH@ --expand-path='$TEXMF/fonts'"$SEP$MT_VARTEXFONTS"`
shift; IFS=$OIFS
for i
do
@@ -138,14 +138,14 @@ test -n "$MT_MKTEXNAM_OPT" && . "$MT_MKT
# Adjust MT_DESTROOT, if necessary.
if test -n "${MT_DESTROOT}"; then
# We distinguish system trees from the rest.
- systexmf="`kpsewhich --expand-path='{$SYSTEXMF}/fonts'`$SEP$MT_VARTEXFONTS"
+ systexmf="`@KPSEWHICH@ --expand-path='{$SYSTEXMF}/fonts'`$SEP$MT_VARTEXFONTS"
case "$SEP$systexmf$SEP" in
*$SEP$MT_DESTROOT$SEP*) # A system tree.
# If the texmfvar option is set, use TEXMFVAR tree.
# Some additional uglyness handles the case where $TEXMFVAR exists
# but $TEXMFVAR/fonts doesn't (yet).
if test "x$USE_TEXMFVAR" = x1; then
- : ${MT_TEXMFVAR=`kpsewhich --var-value=TEXMFVAR`}
+ : ${MT_TEXMFVAR=`@KPSEWHICH@ --var-value=TEXMFVAR`}
MT_DESTROOT=$MT_TEXMFVAR/fonts
if test -z "$MT_TEXMFVAR"; then
# Path expansion of $TEXMFVAR was empty.
+17
View File
@@ -0,0 +1,17 @@
$NetBSD: patch-af,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktexnam.opt.orig 2009-06-03 06:07:23.000000000 -0700
+++ mktexnam.opt
@@ -24,9 +24,9 @@ case "$MT_FEATURES" in
MT_PKDESTREL='pk/$MT_MODE/$MT_NAMEPART'
MT_TFMDESTREL='tfm/$MT_NAMEPART'
MT_MFDESTREL='source/$MT_NAMEPART'
- SPECIALMAP=`kpsewhich special.map`
- TYPEFACEMAP=`kpsewhich typeface.map`
- SUPPLIERMAP=`kpsewhich supplier.map`
+ SPECIALMAP=`@KPSEWHICH@ special.map`
+ TYPEFACEMAP=`@KPSEWHICH@ typeface.map`
+ SUPPLIERMAP=`@KPSEWHICH@ supplier.map`
if test -r "$SPECIALMAP"; then
set x `awk \
'{if ($1 == NAME || (substr (NAME, 1, length ($1)) == $1 \
+15
View File
@@ -0,0 +1,15 @@
$NetBSD: patch-ag,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktexdir.orig 2009-06-03 06:07:17.000000000 -0700
+++ mktexdir
@@ -12,8 +12,8 @@ usage="Usage: $0 DIRS...
mt_max_args=$#
# Common code for all scripts.
-: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
-: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+: ${MT_TEXMFMAIN=`@KPSEWHICH@ --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`@KPSEWHICH@ --format='web2c files' mktex.opt`}
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
if test ! -f "$MT_MKTEX_OPT"; then
echo "$0: Cannot find mktex.opt; check your installation." >&2
+15
View File
@@ -0,0 +1,15 @@
$NetBSD: patch-ah,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktextfm.orig 2009-06-03 06:07:27.000000000 -0700
+++ mktextfm
@@ -27,8 +27,8 @@ while test $# -gt 0; do
done
# Common code for all scripts.
-: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
-: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+: ${MT_TEXMFMAIN=`@KPSEWHICH@ --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`@KPSEWHICH@ --format='web2c files' mktex.opt`}
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
if test ! -f "$MT_MKTEX_OPT"; then
echo "$progname: Cannot find mktex.opt; check your installation." >&2
+40
View File
@@ -0,0 +1,40 @@
$NetBSD: patch-ai,v 1.2 2012/07/10 22:32:13 minskim Exp $
--- mktexmf.orig 2012-05-22 16:05:18.000000000 +0000
+++ mktexmf
@@ -15,8 +15,8 @@ Makes the Metafont source file for FONT,
\`ecr12' or \`cmr11'."
# Common code for all scripts.
-: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
-: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+: ${MT_TEXMFMAIN=`@KPSEWHICH@ --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`@KPSEWHICH@ --format='web2c files' mktex.opt`}
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
if test ! -f "$MT_MKTEX_OPT"; then
echo "$progname: Cannot find mktex.opt; check your installation." >&2
@@ -31,7 +31,7 @@ name="`echo $1 | sed 's%.*/%%; s%\.mf$%%
rootname=`echo "$name" | sed 's/[0-9]*$//'`
pointsize=`echo "$name" | sed "s/^$rootname//"`
-sauterroot=`kpsewhich b-$rootname.mf 2>/dev/null`
+sauterroot=`@KPSEWHICH@ b-$rootname.mf 2>/dev/null`
if test -n "$sauterroot"; then
rootfile=$sauterroot
rootname=b-$rootname
@@ -43,12 +43,12 @@ else
*)
case $rootname in
cs*|lcsss*|icscsc*|icstt*|ilcsss*)
- rootfile=`kpsewhich cscode.mf`;;
+ rootfile=`@KPSEWHICH@ cscode.mf`;;
wn[bcdfirstuv]*|rx[bcdfiorstuvx][bcfhilmostx]|l[abcdhl][bcdfiorstuvx]*)
lhprefix=`echo "$name" | sed 's/^\(..\).*/\1/'`
- rootfile=`kpsewhich ${lhprefix}codes.mf 2>/dev/null`;;
+ rootfile=`@KPSEWHICH@ ${lhprefix}codes.mf 2>/dev/null`;;
*)
- rootfile=`kpsewhich $rootname.mf 2>/dev/null`;;
+ rootfile=`@KPSEWHICH@ $rootname.mf 2>/dev/null`;;
esac;;
esac
fi
+42
View File
@@ -0,0 +1,42 @@
$NetBSD: patch-aj,v 1.1 2009/09/20 18:50:03 minskim Exp $
--- mktexpk.orig 2009-06-03 06:07:21.000000000 -0700
+++ mktexpk
@@ -60,8 +60,8 @@ fi
mt_max_args=2
# Common code for all scripts.
-: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
-: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+: ${MT_TEXMFMAIN=`@KPSEWHICH@ --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`@KPSEWHICH@ --format='web2c files' mktex.opt`}
test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
if test ! -f "$MT_MKTEX_OPT"; then
echo "$progname: Cannot find mktex.opt; check your installation." >&2
@@ -87,7 +87,7 @@ esac
NAME=$1
-if kpsewhich $NAME.mf >/dev/null 2>&1 || mktexmf $NAME >/dev/null 2>&1; then
+if @KPSEWHICH@ $NAME.mf >/dev/null 2>&1 || @MKTEXMF@ $NAME >/dev/null 2>&1; then
# determine the progname of metafont to use; prefer mf-nowin.
if (mf-nowin --version) >/dev/null 2>&1; then
MF="mf-nowin -progname=mf"
@@ -145,7 +145,7 @@ else
ps2pk)
# grep for the font in $PSMAPFILE. These are base font names, such as
# rpplr (the original) or pplr0 (an interim step) or pplr8r (current).
- : ${PSMAPFILE=`kpsewhich --format=map psfonts.map ps2pk.map`}
+ : ${PSMAPFILE=`@KPSEWHICH@ --format=map psfonts.map ps2pk.map`}
pattern="^$NAME"'([ ]|$)'
psline=`egrep "$pattern" $PSMAPFILE | tail -1`
if test -n "$psline"; then
@@ -165,7 +165,7 @@ else
# Guessing the name of the type1 font file as fallback:
ANAME=`echo $NAME | sed 's/8r$/8a/'`
for i in $NAME.pfa $NAME.pfb $ANAME.pfa $ANAME.pfb; do
- if kpsewhich $i >/dev/null 2>&1; then
+ if @KPSEWHICH@ $i >/dev/null 2>&1; then
psname=$i
break
fi
+22
View File
@@ -0,0 +1,22 @@
$NetBSD: patch-ak,v 1.2 2011/07/28 04:25:06 minskim Exp $
--- mktexlsr.orig 2011-06-27 22:27:02.000000000 +0000
+++ mktexlsr
@@ -78,7 +78,7 @@ while test $# -gt 0; do
exit 0
elif test "x$1" = x--version || test "x$1" = x-version; then
echo "`basename $0` $version"
- kpsewhich --version
+ @KPSEWHICH@ --version
exit 0
elif test "x$1" = x--verbose || test "x$1" = x-verbose; then
verbose=true
@@ -127,7 +127,7 @@ old_ls_R_magic='% ls-R -- maintained by
if test -s "$treefile"; then
set x `sort "$treefile" | uniq`
else
- set x `kpsewhich --show-path=ls-R | tr : '
+ set x `@KPSEWHICH@ --show-path=ls-R | tr : '
' | sort | uniq`
fi
IFS=$saveIFS
+21
View File
@@ -0,0 +1,21 @@
$NetBSD: patch-xputenv.c,v 1.1 2013/02/05 07:54:52 wiz Exp $
Include stdlib.h for putenv to avoid
[...]/print/web2c/work/.buildlink/lib/libkpathsea.so: warning: warning: reference to compatibility putenv(); include <stdlib.h> for correct reference
--- xputenv.c.orig 2010-02-15 08:19:27.000000000 +0000
+++ xputenv.c
@@ -20,13 +20,7 @@
#include <kpathsea/config.h>
#include <kpathsea/types.h>
-#ifdef WIN32
#include <stdlib.h>
-#else
-#if !HAVE_DECL_PUTENV
-extern int putenv (char* entry);
-#endif
-#endif /* not WIN32 */
/*
* We have different arguments from the "standard" function. A separate
+55
View File
@@ -0,0 +1,55 @@
# $NetBSD: texmf.mk,v 1.6 2012/10/14 18:12:37 minskim Exp $
#
# This Makefile fragment is intended to be included by packages that
# install TeX packages. It rebuilds the ls-R databases at
# (de)installation time.
#
# The following variable can be defined:
#
# TEX_TEXMF_DIRS - A list of texmf directories that need to update ls-R.
# Default: ${PREFIX}/share/texmf-dist
#
# TEX_CONFIG_NAMES - A list of config fragments to add to texmf.cnf.
#
# TEX_KANJIMAP_FILES
# See ../../print/texlive-tetex/map.mk.
#
# TEX_MAP_FILES
# See ../../print/texlive-tetex/map.mk.
#
# TEX_MIXEDMAP_FILES
# See ../../print/texlive-tetex/map.mk.
#
.if !defined(TEX_TEXMF_MK)
TEX_TEXMF_MK= # defined
DEPENDS+= kpathsea>=3.5.7:../../print/kpathsea
TEX_TEXMF_DIRS?= ${PREFIX}/share/texmf-dist
EVAL_PREFIX+= KPATHSEA_PREFIX=kpathsea
FILES_SUBST+= MKTEXLSR=${KPATHSEA_PREFIX:Q}/bin/mktexlsr
FILES_SUBST+= TEXMF_DIRS=${TEX_TEXMF_DIRS:Q}
.if !empty(TEX_TEXMF_DIRS)
INSTALL_TEMPLATES+= ../../print/kpathsea/files/texmf-install.tmpl
DEINSTALL_TEMPLATES+= ../../print/kpathsea/files/texmf-deinstall.tmpl
.endif
. if !empty(TEX_CONFIG_NAMES)
FILES_SUBST+= CONFIG_NAMES=${TEX_CONFIG_NAMES:Q}
INSTALL_TEMPLATES+= ../../print/kpathsea/files/config-install.tmpl
DEINSTALL_TEMPLATES+= ../../print/kpathsea/files/config-deinstall.tmpl
. endif
.if !empty(TEX_FORMATS)
. include "../../print/tex-tetex/format.mk"
.endif
.if !empty(TEX_HYPHEN_DAT) || !empty(TEX_HYPHEN_DEF)
. include "../../print/texlive-tetex/hyphen.mk"
.endif
.if !empty(TEX_KANJIMAP_FILES) || !empty(TEX_MAP_FILES) \
|| !empty(TEX_MIXEDMAP_FILES)
. include "../../print/tex-tetex/map.mk"
.endif
.endif # TEX_TEXMF_MK